Bug 732088 - IPA man page is unclear about allowed combinations of arguments
Summary: IPA man page is unclear about allowed combinations of arguments
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-19 18:16 UTC by Dmitri Pal
Modified: 2015-01-04 23:50 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Do not document
Clone Of:
Environment:
Last Closed: 2011-12-06 18:30:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Dmitri Pal 2011-08-19 18:16:51 UTC
In the ipa-server-install man page there is no information which command line parameters can be used with which. Some are just for install, some for uninstall, some can be used in both cases.

This bug is to change the man pages to clearly specify what can be used when.

Comment 1 Dmitri Pal 2011-08-19 18:18:44 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1687

Comment 2 Martin Kosek 2011-09-07 10:58:12 UTC
Fixed upstream:
master: https://fedorahosted.org/freeipa/changeset/dc3d0f387918b3de2f8e7898408e04e11cc30363
ipa-2-1: https://fedorahosted.org/freeipa/changeset/00855b461415945328959d42435a74d98da7f273

Man pages and ipa-server-install, ipa-replica-install options have been reworked (API stays intact) to be more structured and readable.

Comment 4 Rob Crittenden 2011-11-01 13:59:32 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Do not document

Comment 5 Gowrishankar Rajaiyan 2011-11-06 10:48:49 UTC
ipa-server-install are now nicely structured into "BASIC OPTIONS, CERTIFICATE SYSTEM OPTIONS, DNS OPTIONS and UNINSTALL OPTIONS. 

and 

ipa-replica-install are now structured into "BASIC OPTIONS and DNS OPTIONS".

[root@mudflap ~]# rpm -qi ipa-server | head
Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.1.3                             Vendor: Red Hat, Inc.
Release     : 8.el6                         Build Date: Wed 02 Nov 2011 03:21:27 AM IST
Install Date: Thu 03 Nov 2011 10:02:33 AM IST      Build Host: x86-012.build.bos.redhat.com
Group       : System Environment/Base       Source RPM: ipa-2.1.3-8.el6.src.rpm
Size        : 3381421                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server
[root@mudflap ~]#

Comment 6 errata-xmlrpc 2011-12-06 18:30:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.